From 5b9bbdf861ffd3a4cacfdf090adda57ca31a9d9e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 07:48:53 +0000
Subject: [PATCH 2026/2232] Add test of extern Rust type with lifetime


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index ba28f50..5ac461c 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -210,6 +210,11 @@ pub mod ffi {
         type Job = crate::module::ffi::Job;
     }
 
+    extern "Rust" {
+        #[derive(ExternType)]
+        type Reference<'a>;
+    }
+
     unsafe extern "C++" {
         type Borrow<'a>;
 
@@ -377,6 +382,8 @@ impl R {
     }
 }
 
+pub struct Reference<'a>(&'a String);
+
 impl ffi::Shared {
     fn r_method_on_shared(&self) -> String {
         "2020".to_owned()

